CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: CGAL::compare_lexicographically()

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::compare_lexicographically()
Reference Manual » Global Kernel Functions

##

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_lexicographically (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| Compares the Cartesian coordinates of points `p` and `q` lexicographically in \( xy\) order: first \( x\)-coordinates are compared, if they are equal, \( y\)-coordinates are compared.
template<typename Kernel >
Comparison_result | CGAL::compare_lexicographically (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| Compares the Cartesian coordinates of points `p` and `q` lexicographically in \( xyz\) order: first \( x\)-coordinates are compared, if they are equal, \( y\)-coordinates are compared, and if both \( x\)- and \( y\)- coordinate are equal, \( z\)-coordinates are compared.

## Function Documentation

## ◆ compare_lexicographically() [1/2]

template<typename Kernel >

Comparison_result CGAL::compare_lexicographically | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

Compares the Cartesian coordinates of points `p` and `q` lexicographically in \( xy\) order: first \( x\)-coordinates are compared, if they are equal, \( y\)-coordinates are compared.

This is the same function as `compare_xy` and exists for compatibility with `Point_d<Kernel>`.

## ◆ compare_lexicographically() [2/2]

template<typename Kernel >

Comparison_result CGAL::compare_lexicographically | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

Compares the Cartesian coordinates of points `p` and `q` lexicographically in \( xyz\) order: first \( x\)-coordinates are compared, if they are equal, \( y\)-coordinates are compared, and if both \( x\)- and \( y\)- coordinate are equal, \( z\)-coordinates are compared.

This is the same function as `compare_xyz` and exists for compatibility with `Point_d<Kernel>`.